/*
 * Simple stack class & templates
 * Implementation file
 * $Id: stack.cc,v 1.6 1999/08/16 12:33:59 hsteoh Exp hsteoh $
 */

#include <stack.h>


/* FUNCTION DEFINITIONS */

_stacknode::~_stacknode() {}

void _stackbase::clear() {
  _stacknode *node, *next=0;

  for (node=_top; node; node=next) {	// Linked-list deallocator
    next = node->next;
    delete node;
  }
  _top=0;				// stack has no nodes now!!
}

